MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000050Hall D OfflineGeneralpublic2011-03-17 12:192011-04-06 14:12
Reporterdavidl 
Assigned Todavidl 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000050: Review use of STL sort to avoid 80bit/64bit comparison bug
DescriptionReview all places in reconstruction code (JANA included) to make sure there is no potential to suffer from the same 80bit/64bit bug that was recently unmasked. See the following for more details.

http://www.jlab.org/Hall-D/software/wiki/index.php/Diagnosing_segmentation_faults_in_reconstruction_software [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000076)
davidl (administrator)
2011-04-06 14:12

A review of the custom comparison functions was done for all of the Hall-D source code. One definite and one potential problem were found. The definite has since been fixed.

This was reported at the April 6, 2011 offline software meeting.

- Issue History
Date Modified Username Field Change
2011-03-17 12:19 davidl New Issue
2011-03-22 09:58 davidl Status new => assigned
2011-03-22 09:58 davidl Assigned To => davidl
2011-04-06 14:12 davidl Note Added: 0000076
2011-04-06 14:12 davidl Status assigned => resolved
2011-04-06 14:12 davidl Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker